%if 0%{?fc7}
  %define _remove_encoding
%else
  %define _remove_encoding --remove-key Encoding
%endif

Summary:	3-dimensional perspective star map viewer
Name:		starplot
Version:	0.95.4
Release:	6%{?dist}
License:	GPLv2+
Group:		Applications/Engineering
URL:		http://starplot.org/
Source0:	http://starplot.org/downloads/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop

Patch0:		%{name}-%{version}-docdir.patch
Patch1:		%{name}-%{version}-gcc43.patch

BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

Requires:	xdg-utils

BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	gtk2-devel
BuildRequires:	xdg-utils

%description
StarPlot is a GTK+ based program, written in C++, which can be used
interactively to view three-dimensional perspective charts of stars.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

# Suppress rpmlint error.
iconv --from-code ISO8859-1 --to-code UTF-8 ./doc/examples/example.spec \
  --output example.utf-8 && mv example.utf-8 ./doc/examples/example.spec

%build
%configure --disable-rpath --with-webbrowser=xdg-open
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps

make install INSTALL="%{__install} -p" DESTDIR=$RPM_BUILD_ROOT

# icon
install -p -m644 ./src/gui/%{name}.xpm \
  $RPM_BUILD_ROOT%{_datadir}/pixmaps

desktop-file-install %{_remove_encoding} --vendor fedora \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  %{SOURCE1}

# Remove *.stars files from documentation.
rm -f ./doc/examples/*.stars

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS
%doc ChangeLog
%doc COPYING
%doc NLS-TEAM
%doc README
%doc TODO
%doc doc/examples
%doc doc/html
%{_bindir}/%{name}
%{_bindir}/starconvert
%{_bindir}/starpkg
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm
%{_mandir}/man1/%{name}.1.gz
%{_mandir}/man1/starconvert.1.gz
%{_mandir}/man1/starpkg.1.gz

%dir %{_datadir}/%{name}
%{_datadir}/%{name}/sample.stars
%{_datadir}/%{name}/test.stars

%changelog
* Mon Feb 11 2008 Debarshi Ray <rishi@fedoraproject.org> - 0.95.4-6
- Rebuilding with gcc-4.3 in Rawhide.

* Fri Jan 04 2008 Lubomir Kundrak <lkundrak@redhat.com> - 0.95.4-5
- Added one missing hunk to the gcc-4.3 patch.

* Thu Jan 03 2008 Lubomir Kundrak <lkundrak@redhat.com> - 0.95.4-4
- Added missing includes to fix build with gcc-4.3.

* Sat Nov 24 2007 Debarshi Ray <rishi@fedoraproject.org> - 0.95.4-3
- Added 'BuildRequires: gettext'.
- Removed Encoding from Desktop Entry for all distributions, except Fedora 7.

* Sat Nov 17 2007 Debarshi Ray <rishi@fedoraproject.org> - 0.95.4-2
- Added 'BuildRequires: desktop-file-utils' and a .desktop file.
- Added 'BuildRequires: xdg-utils'.
- Fixed faulty documentation directory path.
- Fixed build stanza to correctly detect xdg-open.

* Mon Nov 12 2007 Debarshi Ray <rishi@fedoraproject.org> - 0.95.4-1
- Initial build.
